# $Revision: 1.18 $, $Date: 2002/09/10 18:14:10 $
Summary:	Library for compound documents in GNOME
Summary(pl):	Biblioteka do czenia dokumentw w GNOME
Summary(pt_BR):	Biblioteca para documentos compostos no GNOME
Name:		libbonobo
Version:	2.0.0
Release:	5
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/gnome/pre-gnome2/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-GNOME_COMPILE_WARNINGS.patch
URL:		http://www.gnome.org/
BuildRequires:	ORBit2-devel >= 2.4.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-activation-devel >= 1.0.0
BuildRequires:	glib2-devel >= 2.0.3
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libbonobo0

%define		_sysconfdir	/etc/X11/GNOME2
%define		_prefix		/usr/X11R6
%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

%description
libbonobo is a library that provides the necessary framework for
GNOME2 applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

%description -l pl
libbonobo jest bibliotek dajc aplikacjom GNOME2 szkielet
pozwalajcy im pracowa ze zoonymi dokumentami. Dziki niemu mona
np. osadzi arkusz kalkulacyjny i grafik w dokumencie edytora tekstu.

%description -l pt_BR
libbonobo  uma biblioteca que fornece uma camada necessria para os
aplicativos do GNOME2 funcionarem com documentos compostos, por
exemplo planilhas de clculo e grficos juntos num documento texto.

%package devel
Summary:	Include files for the libbonobo document model
Summary(pl):	Pliki nagwkowe biblioteki libbonobo
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	bonobo-activation-devel
Requires:	gtk-doc-common
Obsoletes:	libbonobo0-devel

%description devel
This package provides the necessary include files to allow you to
develop programs using the libbonobo document model.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do tworzenia programw
korzystajcych z modelu dokumentw libbonobo.

%package static
Summary:	Static libbonobo libraries
Summary(pl):	Biblioteki statyczne libbonobo
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libbonobo libraries.

%description static -l pl
Biblioteki statyczne libbonobo.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	HTML_DIR=%{_gtkdocdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_libdir}/bonobo/servers
%dir %{_libdir}/bonobo/monikers
%attr(755,root,root) %{_libdir}/bonobo-*
%attr(755,root,root) %{_libdir}/bonobo/monikers/lib*.??
%dir %{_libdir}/orbit-2.0
%attr(755,root,root) %{_libdir}/orbit-2.0/*.??
%{_datadir}/idl/bonobo-*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README changes.txt TODO 
%attr(755,root,root) %{_libdir}/lib*.??
%{_pkgconfigdir}/*.pc
%{_includedir}/libbonobo-*
%{_gtkdocdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/bonobo/monikers/lib*.a
%{_libdir}/orbit-2.0/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libbonobo.spec,v $
Revision 1.18  2002/09/10 18:14:10  kloczek
- release 5: libbonobo0{,-devel} added fr allow upgrade from MDK.

Revision 1.17  2002/07/02 12:44:35  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.16  2002/06/05 12:07:30  wiget
- updated to 2.0.0
- fixed gtk-doc

Revision 1.15  2002/05/28 07:00:49  wiget
updated to 1.117.1

Revision 1.14  2002/05/21 08:18:10  wiget
- strict BR
- use new auto* macros

Revision 1.13  2002/05/20 21:33:44  kloczek
- use new %doc packing infrastructure.

Revision 1.12  2002/05/20 18:52:48  kloczek
- updated to 1.117.0.

Revision 1.11  2002/05/02 11:02:54  kloczek
- release 2,
- removed using GNOME_COMPILE_WARNINGS macro (this is from GNOME 1.x macros set).
  and remove also hack in aclocal parameters for above (remove -I %%{_aclocaldir}/gnome)

Revision 1.10  2002/05/01 17:39:45  kloczek
- add -I %%{_aclocaldir}/gnome to aclocal parameters (GNOME_COMPILE_WARNINGS
  macro is missing).

Revision 1.9  2002/05/01 17:17:42  kloczek
- added regenerate ac/am/lt files.

Revision 1.8  2002/04/29 17:22:48  misiek
- updated to 1.116.0

Revision 1.7  2002/04/18 19:19:35  michuz
- updated 1.115.0

Revision 1.6  2002/03/11 11:43:03  misiek
- updated to 1.113

Revision 1.5  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/17 19:46:14  kloczek
- reelase 2: fixed Source url.

Revision 1.2  2002/01/17 11:28:39  qboosh
- changed base Group to X11/Libraries, the rest to X11/Development/Libraries
- added the rest of pl translations, removed English "es" description

Revision 1.1  2002/01/16 23:23:48  michuz
- initial release
